Results 1 to 4 of 4

Thread: zypper update freezing, Yast unresponsive, PackageKit locked. OpenSUSE 12.1

  1. #1

    Default zypper update freezing, Yast unresponsive, PackageKit locked. OpenSUSE 12.1

    Hi,
    Newbee to openSUSE, and having a problem with a new install (openSUSE 12.1 (586) guest installed through VirtualBox on Ubuntu 64-bit host). Installed from DVD image (validated image prior to installation). VDI size is 10 GB, 1.5 GB ram, 2 cores (@70% execution capacity). KDE Plasma front end.

    Immediately after first run configuration and reboot was complete, I do sudo zypper update. near immediately, ADOBE flash is asking for root approval, which I give, and the install promptly freezes. I killed it after 15 minutes of waiting with Ctrl-C, and tried through Yast, which does nothing at all.
    Successive attempts lead to the same result, except now the ADOBE EULA isn't asking for permission any longer. I've searched for locked files, but don't know exactly what files I'd be looking for in openSUSE.

    Here are the last few lines of terminal code:

    Software, you accept all the terms and conditions of this agreement, including, in particular, the
    provisions on:
    - Use (Section 3);
    - Transferability (Section 5);
    - Connectivity and Privacy (Section 7), including:
    - Updating,
    - Local Storage,
    /var/tmp/TmpFile.owRemW lines 1-33/422 5%


    Checking the above temp file, it is just the writtten EULA for ADOBE.
    Any help would be great. Its looks like a very pretty and classy OS, I'd like to get to know it better.

  2. #2
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: zypper update freezing, Yast unresponsive, PackageKit locked.OpenSUSE 12.1

    On 02/03/2012 06:36 PM, jeliotcranch wrote:
    >


    > Newbee to openSUSE


    -=WELCOME=- new poster....and, welcome to give openSUSE a look see


    > Immediately after first run configuration and reboot was complete, I do
    > sudo zypper update.


    "sudo zypper"? is wrong....there are LOTS of differences between Ubuntu
    and openSUSE, the use of sudo is just one....and zypper is not apt either...

    the command sequence to bring on board all security patches and bug
    fixes would be
    Code:
    su -		<give root pass when asked
    zypper patch
    exit
    you will find some the differences here:
    http://tinyurl.com/ubuntu-to-openSUSE

    btw, i'd recommend to move to YaST Software Management and YaST Online
    Update and give zypper a rest for a while....those to gui things will
    keep you closer to the safe lane as you get going in openSUSE..


    > near immediately, ADOBE flash is asking for root approval


    i have never ever seen ADOBE Flash asking for root approval...ever...i
    have no idea what you did to cause that.

    > which I give, and the install promptly freezes.


    i am not surprised, something is terribly wrong!


    > I killed it
    > after 15 minutes of waiting with Ctrl-C, and tried through Yast, which
    > does nothing at all.


    what did you try to do though YaST?


    > Successive attempts lead to the same result


    think about it: same machine, same software same actions--_should_
    result in the same behavior, forever..


    > except now the ADOBE EULA isn't asking for permission any longer.


    i _guess_ that means that zypper is no longer trying to install it..

    i have no idea what is wrong with your openSUSE...but, i'm pretty sure
    it comes from not having root's environment while operating zypper (sudo
    keeps the user environment "su -" gets root's environment)

    but, i've never seen these symptoms before...so, i don't have a clue

    i think i would use YaST Software management to uninstall and then
    install Flash..

    and don't assume you know all of Linux just because you know everything
    about one distro....do a lot of reading (it will save time in the long
    run) and as you learn new things in the road from Ubuntu to openSUSE you
    are invited to post to that thread i pointed to earlier...read it, soon.

    and, have you found these two loaded with good stuff threads yet? (maybe
    this problem will be avoided by following the good advice in these along
    with the Ubuntu to openSUSE thing)

    http://forums.opensuse.org/english/g...ease-read.html

    http://forums.opensuse.org/english/g...ease-read.html

    again, welcome...patience will be good...

    --
    DD
    Read what Distro Watch writes: http://tinyurl.com/SUSEonDW

  3. #3
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: zypper update freezing, Yast unresponsive, PackageKit locked.OpenSUSE 12.1

    On 2012-02-03 22:45, DenverD wrote:
    >
    >> near immediately, ADOBE flash is asking for root approval

    >
    > i have never ever seen ADOBE Flash asking for root approval...ever...i have
    > no idea what you did to cause that.


    It could simply be the adobe Eula you have to accept when installing flash.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  4. #4
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: zypper update freezing, Yast unresponsive, PackageKit locked.OpenSUSE 12.1

    On 02/04/2012 01:33 AM, Carlos E. R. wrote:

    > It could simply be the adobe Eula you have to accept when installing flash.


    oh, good point...i wouldn't have termed that as "asking for root
    approval" but i can see how others might..

    thanks.

    --
    DD
    Read what Distro Watch writes: http://tinyurl.com/SUSEonDW

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •